Subject: [bug#75871] [PATCH 0/1] Partial version support for 'guix refresh --target-version'.
From: Maxim Cournoyer <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Feb 2025 22:23:16 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[...]

>> Not an objection, but two questions.
>>
>> First, regarding the handling of multiple packages:  Does 
>>   $ guix refresh
>>     --target-version=46 evince epiphany gnome-shell … \
>>     --target-version=4 gtk …
>> do what one would expect and update evince, gnome-shell etc. to
>> 46.whatever and gtk etc. to 4.something?
>
> I don't think that's supported, at least I never considered this use
> case when --target-version was introduced.  I'm not sure what's the
> default behavior of our parser; perhaps it uses the last value provided?
>
>> Second, should we also have a postfix notation (e.g. evince~46 or
>> evince=46.*) to ease typing?
>
> I thought about adding something like 'evince=^46', which would be nice
> to have, but can/should be added separately given this change is already
> huge.

Pushed.  Now would be a good time to add the above :-).

-- 
Thanks,
Maxim